Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
virtualbox [Le 13/05/2018, 20:55]
L'Africain Renettoyage ;)
virtualbox [Le 10/10/2018, 06:59] (Version actuelle)
McPeter [Installation principale de VirtualBox] modification pour 18.04
Ligne 76: Ligne 76:
 === Installation depuis le dépôt d'​Oracle (version la plus à jour) === === Installation depuis le dépôt d'​Oracle (version la plus à jour) ===
 Pour installer l'​édition de VirtualBox telle que proposée par Oracle, vous devez ajouter son dépôt à votre liste de sources de logiciels ainsi que sa clé de signature. Puis, vous procédez à l'​installation de VirtualBox. Pour installer l'​édition de VirtualBox telle que proposée par Oracle, vous devez ajouter son dépôt à votre liste de sources de logiciels ainsi que sa clé de signature. Puis, vous procédez à l'​installation de VirtualBox.
 +
 +<note important>​Sous ubuntu 18.04.1 après ajout du dépôt Oracle et un apt update, l'​erreur suivante se présente : N: Le fichier configuré « contrib/​binary-i386/​Packages » ne sera pas pris en compte car le dépôt « http://​download.virtualbox.org/​virtualbox/​debian bionic InRelease » ne supporte pas l'​architecture « i386 »
 +
 +Pour palier ce problème, il faut ajouter "​[arch=amd64]"​ entre "​deb"​ et "​http://​download..."</​note>​
  
 Les [[:​tutoriel:​comment_modifier_sources_maj|adresses des dépôts]] pour chaque version d'​Ubuntu sont les suivantes : Les [[:​tutoriel:​comment_modifier_sources_maj|adresses des dépôts]] pour chaque version d'​Ubuntu sont les suivantes :
 ^ Version ​  ^ Adresse du dépôt ​   ^ ^ Version ​  ^ Adresse du dépôt ​   ^
 +| Ubuntu 18.04 LTS | ''​%%deb http://​download.virtualbox.org/​virtualbox/​debian bionic contrib%%'' ​ |
 | Ubuntu 16.04 LTS | ''​%%deb http://​download.virtualbox.org/​virtualbox/​debian xenial contrib%%'' ​ | | Ubuntu 16.04 LTS | ''​%%deb http://​download.virtualbox.org/​virtualbox/​debian xenial contrib%%'' ​ |
 | Ubuntu 14.04 LTS  | ''​%%deb http://​download.virtualbox.org/​virtualbox/​debian trusty contrib%%'' ​ | | Ubuntu 14.04 LTS  | ''​%%deb http://​download.virtualbox.org/​virtualbox/​debian trusty contrib%%'' ​ |
Ligne 91: Ligne 96:
   - Ajoutez le dépôt d'​Oracle compatible avec votre version d'​Ubuntu à votre liste de sources de logiciels en exécutant la commande suivante dans un **[[terminal]]** : <code bash>​echo "deb http://​download.virtualbox.org/​virtualbox/​debian $(lsb_release -sc) contrib"​ | sudo tee /​etc/​apt/​sources.list.d/​virtualbox.list</​code>​   - Ajoutez le dépôt d'​Oracle compatible avec votre version d'​Ubuntu à votre liste de sources de logiciels en exécutant la commande suivante dans un **[[terminal]]** : <code bash>​echo "deb http://​download.virtualbox.org/​virtualbox/​debian $(lsb_release -sc) contrib"​ | sudo tee /​etc/​apt/​sources.list.d/​virtualbox.list</​code>​
   - Rechargez la liste des paquets disponibles pour installation en exécutant la commande suivante dans un terminal ; <code bash>​sudo apt-get update</​code>​   - Rechargez la liste des paquets disponibles pour installation en exécutant la commande suivante dans un terminal ; <code bash>​sudo apt-get update</​code>​
-  - [[:​tutoriel:​comment_installer_un_paquet|Installez le paquet]] **[[apt>​virtualbox-5.1|virtualbox-5.1]]**.+  - [[:​tutoriel:​comment_installer_un_paquet|Installez le paquet]] **[[apt>​virtualbox-5.2|virtualbox-5.2]]**.
  
-<note tip>​Procédure pour ajouter le dépôt Oracle et installer Virtualbox 5.en une seule ligne de commande (pour les versions d'​Ubuntu antérieures à 16.04) : +<note tip>​Procédure pour ajouter le dépôt Oracle et installer Virtualbox 5.en une seule ligne de commande (pour les versions d'​Ubuntu antérieures à 16.04) : 
-<code bash>​echo "deb http://​download.virtualbox.org/​virtualbox/​debian $(lsb_release -sc) contrib"​ | sudo tee /​etc/​apt/​sources.list.d/​virtualbox.list && wget -q http://​download.virtualbox.org/​virtualbox/​debian/​oracle_vbox.asc -O- | sudo apt-key add - && sudo apt-get update && sudo apt-get install virtualbox-5.1</​code>​+<code bash>​echo "deb http://​download.virtualbox.org/​virtualbox/​debian $(lsb_release -sc) contrib"​ | sudo tee /​etc/​apt/​sources.list.d/​virtualbox.list && wget -q http://​download.virtualbox.org/​virtualbox/​debian/​oracle_vbox.asc -O- | sudo apt-key add - && sudo apt-get update && sudo apt-get install virtualbox-5.2</​code>​
 </​note>​ </​note>​
  
Ligne 116: Ligne 121:
   ​   ​
 Par exemple, si la commande renvoie **3.11**-2-amd64,​ cela veut dire que le noyau est **311** Par exemple, si la commande renvoie **3.11**-2-amd64,​ cela veut dire que le noyau est **311**
-  - Installer le bon kernel ​+  - Installer le bon kernel.
-FIXME Partie à completer... S'​inspirer également de[[utilisateurs:​brazz:​virtualbox_problemes_connus#​erreur_au_lancement_d_une_vm3| cette page]] (Voir 0.8 Erreur au lancement d'une VM)+
        
 ===Installation du support de l'USB 2 et 3===    ===Installation du support de l'USB 2 et 3===   
-Pour le support de l'USB 2, consultez le paragraphe traitant des [[virtualbox#​peripheriques_usb_virtualbox]].+Pour le support de l'USB 2, consultez le paragraphe traitant des [[virtualbox#​peripheriques usb]].
  
 ===== Utilisation ===== ===== Utilisation =====
Ligne 179: Ligne 183:
 ==== Système invité en 64 bits ==== ==== Système invité en 64 bits ====
  
-Pour pouvoir utiliser un système invité en 64 bits, il est nécessaire que l'​ordinateur supporte la virtualisation matérielle (VT-x //[vmx]// ou AMD-V //[svm]//). Pour le savoir, il suffit par exemple de saisir la commande suivante dans un Terminal (pas de réponse ​= pas de virtualisation matérielle) :+Pour pouvoir utiliser un système invité en 64 bits, il est nécessaire que l'​ordinateur supporte la virtualisation matérielle (VT-x //[vmx]// ou AMD-V //[svm]//). Pour le savoir, il suffit par exemple de saisir la commande suivante dans un Terminal (une absence ​de réponse ​indique que la virtualisation matérielle est impossible. Une réponse positive indique une __possibilité__ ​de virtualisation matérielle. Dans ce dernier cas, pour que la fonction de virtualisation matérielle soit effectivement disponible, il faut aussi que le paramètre de virtualisation soit actif dans le BIOS (AMD Ryzen -> tab MIT / Advanced Frequency Settings / Advanced Core settings / option SVM) :
  
 <​code>​egrep '​(vmx|svm)'​ /​proc/​cpuinfo</​code>​ <​code>​egrep '​(vmx|svm)'​ /​proc/​cpuinfo</​code>​
Ligne 207: Ligne 211:
   * VirtualBox 4.3.10 (Ubuntu 14.04) : https://​download.virtualbox.org/​virtualbox/​4.3.10/​Oracle_VM_VirtualBox_Extension_Pack-4.3.10-93012.vbox-extpack   * VirtualBox 4.3.10 (Ubuntu 14.04) : https://​download.virtualbox.org/​virtualbox/​4.3.10/​Oracle_VM_VirtualBox_Extension_Pack-4.3.10-93012.vbox-extpack
   * VirtualBox 5.1.34 (Ubuntu 16.04) : https://​download.virtualbox.org/​virtualbox/​5.1.34/​Oracle_VM_VirtualBox_Extension_Pack-5.1.34-121010.vbox-extpack   * VirtualBox 5.1.34 (Ubuntu 16.04) : https://​download.virtualbox.org/​virtualbox/​5.1.34/​Oracle_VM_VirtualBox_Extension_Pack-5.1.34-121010.vbox-extpack
-  * VirtualBox 5.2.10 (Ubuntu 18.04) : https://​download.virtualbox.org/​virtualbox/​5.2.10/​Oracle_VM_VirtualBox_Extension_Pack-5.2.10.vbox-extpack+  * VirtualBox 5.2.10 (Ubuntu 18.04) : https://​download.virtualbox.org/​virtualbox/​5.2.10/​Oracle_VM_VirtualBox_Extension_Pack-5.2.10-122406.vbox-extpack
   * Autre version: ​ https://​download.virtualbox.org/​virtualbox   * Autre version: ​ https://​download.virtualbox.org/​virtualbox
  
Ligne 895: Ligne 899:
 Il existe principalement deux causes provoquant cette erreur : Il existe principalement deux causes provoquant cette erreur :
   - Le paquet **[[apt>​virtualbox-dkms]]** n'est pas installé, veuillez [[:​tutoriel:​comment_installer_un_paquet|installer le paquet]]. Si cela ne suffit pas, désinstaller complètement VirtualBox et ses dépendances afin d'​effectuer une installation complète <​code>​sudo apt-get autoremove --purge virtualbox*</​code>;​   - Le paquet **[[apt>​virtualbox-dkms]]** n'est pas installé, veuillez [[:​tutoriel:​comment_installer_un_paquet|installer le paquet]]. Si cela ne suffit pas, désinstaller complètement VirtualBox et ses dépendances afin d'​effectuer une installation complète <​code>​sudo apt-get autoremove --purge virtualbox*</​code>;​
-  - Le support de l'USB n'est pas activé ou désactivé suite à une mise à jour, veuillez suivre ce qui est indiqué à la rubrique [[:​virtualbox#​peripheriques_usb_virtualbox_4|périphérique USB]] ;+  - Le support de l'USB n'est pas activé ou désactivé suite à une mise à jour, veuillez suivre ce qui est indiqué à la rubrique [[:​virtualbox#​peripheriques_usb|périphérique USB]] ;
 ==== Codes d'​erreur (version PUEL uniquement)==== ==== Codes d'​erreur (version PUEL uniquement)====
  
Ligne 1073: Ligne 1077:
 ==== Plantage au lancement d'une machine virtuelle ==== ==== Plantage au lancement d'une machine virtuelle ====
  
-Il s'agit peut-être du problème évoqué ​[[:​virtualbox#​installation_principale_de_virtualbox|plus haut dans cette page]]. La solution y est indiquée. +Il s'agit peut-être ​d'une incompatibilité entre le patch du Kernel pour corriger Meltdown et la version des dépôts Ubuntu de Virtualbox. Désinstallez Virtualbox puis [[:​virtualbox#​installation_depuis_le_depot_d_oracle_version_la_plus_a_jour|réinstallez-le via les dépôts d'​Oracle]].
 ===== Désinstallation ===== ===== Désinstallation =====
  
  • virtualbox.1526237726.txt.gz
  • Dernière modification: Le 13/05/2018, 20:55
  • par L'Africain